package org.jeecg.modules.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.database.entity.DocumentLibrary;

import java.util.List;
import java.util.Map;

/**
 * @Description: 知识库
 * @Author: jeecg-boot
 * @Date: 2024-08-21
 * @Version: V1.0
 */
public interface IDocumentLibraryService extends IService<DocumentLibrary> {

    List<DocumentLibrary> getLatest();

    Long getTotal();

    Long getToday();

    Map<String, List<DocumentLibrary>> getCategory();

}
